<template>
  <div id="nav p-0" style="background: white; box-shadow: 0 0 5px 0">
    <nav class="container navbar navbar-expand-lg navbar-light fixed">
      <a class="navbar-brand" href="#">
        <img src="../assets/logo.png" class="logo" alt="" />
      </a>
      <button
        class="navbar-toggler"
        type="button"
        data-toggle="collapse"
        data-target="#navbarSupportedContent"
        aria-controls="navbarSupportedContent"
        aria-expanded="false"
        aria-label="Toggle navigation"
      >
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <!-- replacing the ul with a div tag -->
        <!-- <ul class="navbar-nav me-auto mb-2 mb-lg-0">   -->
        <div class="navbar-nav wrapper">
          <!-- on each of the li tag , there is a class named *nav item*, copy it and place it on the a tag & delete the li -->
          <div class="d-flex" v-if="$store.state.token">
            <a
              class="nav-item nav-link active"
              aria-current="page"
              href="#"
              style="font-weight: bold"
              >Home</a
            >
            <b-nav-item-dropdown
              text="Templates"
              style="font-weight: bold; font-size: large"
            >
              <div class="text-dropdown">
                <b-dropdown-item
                  ><img class="img-dropdown" src="../assets/snow.jpg" alt="" />
                  snow fall</b-dropdown-item
                >
                <b-dropdown-item
                  ><img
                    class="img-dropdown"
                    src="../assets/water color.jpg"
                    alt=""
                  />
                  water color</b-dropdown-item
                >
                <b-dropdown-item
                  ><img
                    class="img-dropdown"
                    src="../assets/green nature.jpg"
                    alt=""
                  />
                  green nature</b-dropdown-item
                >
                <b-dropdown-item
                  ><img
                    class="img-dropdown"
                    src="../assets/Abstract water.jpg"
                    alt=""
                  />
                  abstract water</b-dropdown-item
                >
                <b-dropdown-divider></b-dropdown-divider>
                <b-dropdown-item class="text-center">Original</b-dropdown-item>
              </div>
            </b-nav-item-dropdown>
          </div>
          <form class="d-flex">
            <div v-if="!$store.state.token">
              <button
                class="btn btn-primary m-2"
                style="border: 22px; border-radius: 22px; font-weight: bold"
                type="button"
              >
                Sign in
              </button>
              <button
                class="btn btn-primary m-2"
                style="border: 22px; border-radius: 22px; font-weight: bold"
                type="button"
              >
                Login
              </button>
            </div>

            <div v-else>
              <i class="fas fa-moon" style="font-size: 25px; padding: 13px"></i>
              <b-avatar
                button
                @click="onClick"
                variant="primary"
                style="margin-top: 5px"
              ></b-avatar>
            </div>
          </form>
        </div>
      </div>
    </nav>
  </div>
</template>

<script>
export default {
  methods: {
    onClick() {
      this.$bvModal("User name: Fred Flintstone", {
        title: "User Info",
        size: "sm",
        buttonSize: "sm",
        okVariant: "success",
        headerClass: "p-2 border-bottom-0",
        footerClass: "p-2 border-top-0",
      });
    },
  },
};
</script>

<style scoped>
a {
  font-weight: bold;
  font-size: large;
}
.logo {
  width: 120px;
  height: auto;
}
#nav {
  text-align: center;
}

#nav a {
  font-family: "Poppins";
  font-size: large;
  color: #3a3a3a;
}

#nav a.router-link-exact-active {
  color: whitesmoke;
  background: #3a3a3a38;
  border-radius: 0.5rem;
}

.wrapper {
  width: 100%;
  display: flex;
  justify-content: space-between;
}

.img-dropdown {
  width: 30px;
}

.text-dropdown {
  font-size: 15px;
}
.dropdown-menu.show {
  margin-top: 20px;
}
</style>
